
#property copyright "BB_AlertArrows.mq4"
#property link      "Copyright 2010, admin@forexstrategiesbinaryoptions.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Yellow
#define SIGNAL_BAR  0

extern int SignalGap = 3;
extern bool AlertPossible    = true;
extern bool AlertOnlySound   = false;
extern bool SoundBuy  = true;
extern bool SoundSell = true;
extern string Sound          = "sndFuture";
extern bool SendMailPossible = false;
int gi_88 = 24;
double g_ibuf_92[];
double g_ibuf_96[];
int g_bars_100;
int g_count_104;
bool gi_108;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   SetIndexStyle(0, DRAW_ARROW, STYLE_SOLID, 1);
   SetIndexStyle(1, DRAW_ARROW, STYLE_SOLID, 1);
   SetIndexArrow(1, 233);
   SetIndexArrow(0, 234);
   SetIndexBuffer(0, g_ibuf_92);
   SetIndexBuffer(1, g_ibuf_96);
   g_bars_100 = Bars;
   g_count_104 = 0;
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   int highest_20;
   int lowest_24;
   int li_0 = IndicatorCounted();
   if (li_0 < 0) return (-1);
   if (li_0 > 0) li_0--;
   int li_16 = Bars - 1;
   if (li_0 >= 1) li_16 = Bars - li_0 - 1;
   if (li_16 < 0) li_16 = 0;
   for (int li_8 = li_16; li_8 >= 0; li_8--) {
      highest_20 = iHighest(NULL, 0, MODE_HIGH, gi_88, li_8 - gi_88 / 2);
      lowest_24 = iLowest(NULL, 0, MODE_LOW, gi_88, li_8 - gi_88 / 2);
      if (li_8 == highest_20) g_ibuf_92[li_8] = High[highest_20] + SignalGap * Point;
      if (li_8 == lowest_24) g_ibuf_96[li_8] = Low[lowest_24] - SignalGap * Point;
   }
   gi_108 = f0_1();
   if (gi_108) g_count_104 = 0;
   if (g_count_104 == 0) {
      
        
//+------------------------------------------------------------------+
 static int PrevSignal = 0, PrevTime = 0;

	  if(SIGNAL_BAR > 0 && Time[0] <= PrevTime) 
	      return(0);

	  PrevTime = Time[0];

     if (AlertPossible == true) {
	 if(PrevSignal <= 0 && SoundBuy==true)
      {
        if (g_ibuf_92[0] != EMPTY_VALUE && g_ibuf_92[0] > 0.0){
        if (AlertOnlySound) {PlaySound(Sound);g_count_104++;} else 
          {
            PrevSignal = 1;
            Alert("BB_Alert Arrows (", Symbol(), ", ", Period(), ")  -  SELL!!!");PlaySound(Sound);
            g_count_104++;
            if (SendMailPossible) SendMail(Symbol()+ " M"+ Period()+ " BB_Alert Arrows -  SELL!!!", "");
          }
      }
      }
    if(PrevSignal >= 0 && SoundSell == true)
      {
        if (g_ibuf_96[0] != EMPTY_VALUE && g_ibuf_96[0] > 0.0){
        if (AlertOnlySound) {PlaySound(Sound);g_count_104++;} else 
          {
            PrevSignal = -1;
            Alert("BB_Alert Arrows(", Symbol(), ", ", Period(), ")  -  BUY!!!");PlaySound(Sound);
            g_count_104++;
            if (SendMailPossible) SendMail(Symbol()+ " M"+ Period()+ " BB_Alert Arrows  -  BUY!!!", "");
          }
      }
      }
      }
      }
//+------------------------------------------------------------------+
   return (0);
}

// DBF842DBCEACF4840EBF7C9B65F53790
int f0_1() {
   bool li_ret_0 = FALSE;
   if (g_bars_100 != Bars) {
      li_ret_0 = TRUE;
      g_bars_100 = Bars;
   }
   return (li_ret_0);
}

// B69AE6435CA312EDB19A3B43ADC42BDE
string f0_0(int ai_0) {
   if (ai_0 == 1) return ("M1");
   if (ai_0 == 5) return ("M5");
   if (ai_0 == 15) return ("M15");
   if (ai_0 == 30) return ("M30");
   if (ai_0 == 60) return ("H1");
   if (ai_0 == 240) return ("H4");
   if (ai_0 == 1440) return ("D1");
   if (ai_0 == 10080) return ("W1");
   if (ai_0 == 43200) return ("MN1");
   return ("");
}