//+------------------------------------------------------------------+
//|                                   #Vostro2_+_2010_Pava_Alert.mq4 |

#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_minimum -100.0
#property indicator_maximum 100.0
#property indicator_levelcolor Red
#property indicator_width1 2
#property indicator_level1 80.0
#property indicator_level2 -80.0


extern color Color = White;
extern int Scalp=24;
extern int Value=8;
extern string alert="------   --------";
extern bool   Alerts   = true;  //     
//
string high_text =" Sell  ";
string low_text  =" Buy  ";

double g_ibuf_108[];
double g_ibuf_112[];
double g_ibuf_116[];
double gd_120;
double gd_128;
double gd_136;
//int gi_144 = 8;
int gi_148;
int gi_152;

int LastTimeSignal_up,LastTimeSignal_dn,time; 
bool entry=false; 



int init() {
   IndicatorBuffers(3);
   SetIndexStyle(0, DRAW_LINE, EMPTY, 2, Color);
   SetIndexBuffer(0, g_ibuf_108);
   SetIndexBuffer(1, g_ibuf_116);
   SetIndexBuffer(2, g_ibuf_112);
   IndicatorShortName("");
   return (0);
}

int deinit() {
   return (0);
}

int start() {
  // if (Year() >= 2025) return (0);
   //if (Scalping == TRUE) g_period_156 = 100;
   //else g_period_156 = 300;
   for (gi_152 = 0; gi_152 < Bars; gi_152++) {
      gd_120 = 0;
      for (gi_148 = gi_152; gi_148 < Value + gi_152; gi_148++) gd_120 += (High[gi_148] + Low[gi_148]) / 2.0;
      gd_128 = gd_120 / Value;
      gd_120 = 0;
      for (gi_148 = gi_152; gi_148 < Value + gi_152; gi_148++) gd_120 += High[gi_148] - Low[gi_148];
      gd_136 = 0.2 * (gd_120 / Value);
      g_ibuf_116[gi_152] = (Low[gi_152] - gd_128) / gd_136;
      g_ibuf_112[gi_152] = (High[gi_152] - gd_128) / gd_136;
      if (g_ibuf_112[gi_152] > Value && High[gi_152] > iMA(NULL, 0, Scalp, 0, MODE_LWMA, PRICE_MEDIAN, gi_152)) g_ibuf_108[gi_152] = 90.0;
      else {
         if (g_ibuf_116[gi_152] < -Value && Low[gi_152] < iMA(NULL, 0, Scalp, 0, MODE_LWMA, PRICE_MEDIAN, gi_152)) g_ibuf_108[gi_152] = -90.0;
         else g_ibuf_108[gi_152] = 0.0;
      }
      /*if (g_ibuf_112[gi_152] > 8.0 && g_ibuf_112[gi_152 - 1] > 8.0) g_ibuf_108[gi_152] = 0;
      if (g_ibuf_112[gi_152] > 8.0 && g_ibuf_112[gi_152 - 1] > 8.0 && g_ibuf_112[gi_152 - 2] > 8.0) g_ibuf_108[gi_152] = 0;
      if (g_ibuf_116[gi_152] < -8.0 && g_ibuf_116[gi_152 - 1] < -8.0) g_ibuf_108[gi_152] = 0;
      if (g_ibuf_116[gi_152] < -8.0 && g_ibuf_116[gi_152 - 1] < -8.0 && g_ibuf_116[gi_152 - 2] < -8.0) g_ibuf_108[gi_152] = 0;*/
   }
   
   int upsig=0,dnsig=0;
   
   if( g_ibuf_108[0]>50 && g_ibuf_108[1]<50){entry=1;upsig=1;}
   if( g_ibuf_108[0]<-50 && g_ibuf_108[1]>-50){entry=1;dnsig=1;}
   
   if(Alerts && entry==1)
   {
    if (upsig==1 && Time[0] > LastTimeSignal_up)
     {
       ALERT(high_text,Bid);LastTimeSignal_up=Time[0];
     } 
     else if (dnsig==1 && Time[0] > LastTimeSignal_dn)
     {
       ALERT(low_text, Bid); LastTimeSignal_dn=Time[0];
     }
    entry=0;
   } 
   return (0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void ALERT(string text, double price){Alert(Symbol()+"_"+Period()+"min_"+text+"_ ",price);}

